curl --request GET \
--url https://api.kajabi.com/v1/hooks/tag_added_sample \
--header 'Authorization: Bearer <token>'[
{
"id": "<string>",
"type": "contacts",
"attributes": {
"name": "<string>",
"email": "<string>",
"phone_number": "<string>",
"business_number": "<string>",
"subscribed": true,
"address_line_1": "<string>",
"address_line_2": "<string>",
"address_city": "<string>",
"address_state": "<string>",
"address_country": "<string>",
"external_user_id": "<string>",
"address_zip": "<string>",
"custom_1": "<string>",
"custom_2": "<string>",
"custom_3": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
},
"relationships": {
"tags": {
"data": [
{
"id": "<string>",
"type": "contact_tags"
}
]
}
}
}
]Returns sample webhook payload for the tag_added event:
[
{
"id": "0",
"type": "contacts",
"attributes": {
"name": "Sample Recipient",
"email": "sample@example.com",
"address_line_1": "123 Kajabi Ln",
"address_line_2": "Kajabi Suite 4",
"address_city": "Kajabiwood",
"address_country": "United Sites of Kajabi",
"address_state": "Kajabifornia",
"address_zip": "99999",
"phone_number": "5555555555",
"business_number": null,
"subscribed": false,
"external_user_id": null,
"created_at": "2025-07-31T16:51:04.010Z",
"updated_at": "2025-07-31T16:51:04.010Z"
},
"links": {
"customer": ""
},
"relationships": {
"site": {
"data": {
"id": "2",
"type": "sites"
}
}
}
},
{
"id": "0",
"type": "contact_tags",
"attributes": {
"name": "Tag"
},
"relationships": {
"site": {
"data": {
"id": "2",
"type": "sites"
}
}
}
}
]
The actual payloads are sent to the target_url as a POST request with the following JSON body:
{
"id": "hash_id",
"event": "tag_added",
"payload": [],
}
The payload array is the sample response above
curl --request GET \
--url https://api.kajabi.com/v1/hooks/tag_added_sample \
--header 'Authorization: Bearer <token>'[
{
"id": "<string>",
"type": "contacts",
"attributes": {
"name": "<string>",
"email": "<string>",
"phone_number": "<string>",
"business_number": "<string>",
"subscribed": true,
"address_line_1": "<string>",
"address_line_2": "<string>",
"address_city": "<string>",
"address_state": "<string>",
"address_country": "<string>",
"external_user_id": "<string>",
"address_zip": "<string>",
"custom_1": "<string>",
"custom_2": "<string>",
"custom_3": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
},
"relationships": {
"tags": {
"data": [
{
"id": "<string>",
"type": "contact_tags"
}
]
}
}
}
]Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Was this page helpful?